/*
 * DataType.java
 * 
 * Created on 15-aug-2007, 13:11:40
 * 
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.sf.sql2java.common.beans.datatype;

import java.sql.Types;


/**
 *
 * @author dge2
 */
public enum SqlDataType {
    ARRAY           (Types.ARRAY, JavaDataType.ARRAY),
    BIGINT          (Types.BIGINT, JavaDataType.LONG),
    BINARY          (Types.BINARY, JavaDataType.BYTEARRAY),
    BIT             (Types.BIT, JavaDataType.BOOLEAN),
    BLOB            (Types.BLOB, JavaDataType.BLOB),
    BOOLEAN         (Types.BOOLEAN, JavaDataType.BOOLEAN),
    CHAR            (Types.CHAR, JavaDataType.CHAR),
    CLOB            (Types.CLOB, JavaDataType.CLOB),
    DATALINK        (Types.DATALINK, JavaDataType.URL),
    DATE            (Types.DATE, JavaDataType.SQL_DATE),
    DECIMAL         (Types.DECIMAL, JavaDataType.DOUBLE),
    DISTINCT        (Types.DISTINCT, JavaDataType.OBJECT),
    DOUBLE          (Types.DOUBLE, JavaDataType.DOUBLE),
    FLOAT           (Types.FLOAT, JavaDataType.DOUBLE),
    INTEGER         (Types.INTEGER, JavaDataType.INTEGER),
    JAVA_OBJECT     (Types.JAVA_OBJECT, JavaDataType.OBJECT),
    LONGVARBINARY   (Types.LONGVARBINARY, JavaDataType.BYTEARRAY),
    LONGVARCHAR     (Types.LONGVARCHAR, JavaDataType.STRING),
    NUMERIC         (Types.NUMERIC, JavaDataType.DOUBLE),
    OTHER           (Types.OTHER, JavaDataType.OBJECT),
    REAL            (Types.REAL, JavaDataType.FLOAT),
    REF             (Types.REF, JavaDataType.REF),
    SMALLINT        (Types.SMALLINT, JavaDataType.INTEGER),
    STRUCT          (Types.STRUCT, JavaDataType.OBJECT),
    TIME            (Types.TIME, JavaDataType.SQL_TIME),
    TIMESTAMP       (Types.TIMESTAMP, JavaDataType.SQL_TIMESTAMP),
    TINYINT         (Types.TINYINT, JavaDataType.SHORT),
    VARBINARY       (Types.VARBINARY, JavaDataType.BYTEARRAY),
    VARCHAR         (Types.VARCHAR, JavaDataType.STRING)
    ;
    
    int id;
    JavaDataType javaDataType;
    private SqlDataType(int id, JavaDataType javaDataType) {
        this.id = id;
        this.javaDataType = javaDataType;
    }
    
    public int getId() {
        return id;
    }
    
    public JavaDataType getJavaDataType() {
        return javaDataType;
    }
    
    public static SqlDataType valueOf(int id) {
        for (SqlDataType type : SqlDataType.values())
            if (type.getId() == id)
                return type;
        
        return SqlDataType.OTHER;
    }
}
