package net.sf.sql2java.common.beans.reference;

import net.sf.sql2java.ApplicationContext;
import net.sf.sql2java.common.beans.Processable;
import net.sf.sql2java.common.store.ProcessorStore;

public class SoftReference {
	protected String processableKey;
	protected Processable cache;
	
// -- Constructors ------------------------------------------------------------
	
	public SoftReference(String processableKey) {
		this.processableKey = processableKey;
		this.cache = null;
	}
	
// -- Load the reference ------------------------------------------------------
	
	public Processable getInstance() {
		if (cache == null)
			cache = getNewInstance();
		
		return cache;
	}
	
	public Processable getNewInstance() {
		ProcessorStore store = ApplicationContext.getInstance().getStore();
		
		Processable result = store.getProcessable(processableKey);
		
		return result;
	}
	
// -- Getters -----------------------------------------------------------------
	
	public String getProcessableKey() {
		return processableKey;
	}
}
