package net.sf.sql2java.common.parameters;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class MomentumObjectState implements Iterable<String> {
	protected Map<String, Object> context;
	
	protected Map<String, String> parameterStates;
	
// -- Constructors ------------------------------------------------------------
	
	public MomentumObjectState() {
		parameterStates = new HashMap<String, String>();
	}
	
// -- Iterator ----------------------------------------------------------------
	
	@Override
	public Iterator<String> iterator() {
		return parameterStates.keySet().iterator();
	}
	
// -- Getters -----------------------------------------------------------------	
	
	public String getState(String parameterName) {
		return parameterStates.get(parameterName);
	}
	
	public Map<String, String> getStates() {
		return parameterStates;
	}
	
// -- Setters -----------------------------------------------------------------
	
	public void setState(String parameterName, String stateValue) {
		parameterStates.put(parameterName, stateValue);
	}
	
	public void setStates(Map<String, String> states) {
		parameterStates.putAll(states);
	}
}
