package net.sf.sql2java.common.parameters.handlers;

import net.sf.sql2java.utils.StringUtils;

public class ModifierParameterHandler implements ParameterHandler {

// -- Constructors ------------------------------------------------------------
	
	public ModifierParameterHandler() { }
	
// -- Implementation ----------------------------------------------------------

	@Override
	public boolean isElegible(String parameter) {
		return true;
	}

	@Override
	public String onParameter(String content, String parameter) {
		// -- create the result
		String result = content;
		
		// -- separate the navigation expression from the modifiers
		String[] modifiers = parameter.split("@");
	
		// -- let's find our object
		String replacement = modifiers[0];
		
		// -- apply the modifiers onto the replacement
		replacement = StringUtils.performModifiers(replacement, modifiers);
		
		// -- replace all occurrences of the parameter with the replacement
		result = result.replaceAll(
				StringUtils.parameterize(parameter), 
				replacement
		);
		
		// -- return the result
		return result;
	}
}
