package net.sf.sql2java.generator.writer.merge;

import java.io.File;

public class Conflict {
	public enum ConflictState { Resolved, Blocking }
	
	private File originalFile;
	private File generatedFile;
	private ConflictState state;

// -- Constructors ------------------------------------------------------------
	
	public Conflict(File originalFile, File generatedFile) {
		this.originalFile = originalFile;
		this.generatedFile = generatedFile;
		this.state = ConflictState.Blocking;
	}
	
// -- Getters -----------------------------------------------------------------
	
	public File getOriginalFile() {
		return originalFile;
	}
	
	public File getGeneratedFile() {
		return generatedFile;
	}
	
	public ConflictState getState() {
		return state;
	}
	
// -- Setters -----------------------------------------------------------------
	
	public void setState(ConflictState state) {
		this.state = state;
	}
}
